Home
GET
https://ton-open-api.nownodes.io/v2/accounts/{account_id}/events

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get events for an account. Each event is built on top of a trace which is a series of transactions caused by one inbound message. TonAPI looks for known patterns inside the trace and splits the trace into actions, where a single action represents a meaningful high-level operation like a Jetton Transfer or an NFT Purchase. Actions are expected to be shown to users. It is advised not to build any logic on top of actions because actions can be changed at any time.

Parameters

account_idstringrequiredpath

account ID

Accept-Languagestringenheader
initiatorbooleanfalsequery

Show only events that are initiated by this account

subject_onlybooleanfalsequery

filter actions where requested account is not real subject (for example sender or receiver jettons)

before_ltinteger<int64>query

omit this parameter to get last events

limitinteger[1, 100]requiredquery
start_dateinteger<int64>query
end_dateinteger<int64>query

Response

200OK

account's events

default

Some error during request processing